Skip to main content
GET
/
shield
/
shield-zone
/
{shieldZoneId}
/
access-lists
Get all Access Lists available for a Shield Zone
curl --request GET \
  --url https://api.bunny.net/shield/shield-zone/{shieldZoneId}/access-lists
import requests

url = "https://api.bunny.net/shield/shield-zone/{shieldZoneId}/access-lists"

response = requests.get(url)

print(response.text)
const options = {method: 'GET'};

fetch('https://api.bunny.net/shield/shield-zone/{shieldZoneId}/access-lists', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "managedLists": [
    {
      "listId": 123,
      "configurationId": 123,
      "name": "<string>",
      "isEnabled": true,
      "entryCount": 123,
      "lastUpdated": "2023-11-07T05:31:56Z",
      "description": "<string>",
      "updateFrequency": "<string>"
    }
  ],
  "customLists": [
    {
      "listId": 123,
      "configurationId": 123,
      "name": "<string>",
      "isEnabled": true,
      "entryCount": 123,
      "lastUpdated": "2023-11-07T05:31:56Z",
      "description": "<string>",
      "updateFrequency": "<string>"
    }
  ],
  "customEntryCount": 123,
  "customEntryLimit": 123,
  "customListCount": 123,
  "customListLimit": 123,
  "error": {
    "success": true,
    "message": "<string>",
    "errorKey": "<string>"
  }
}
{
  "type": "<string>",
  "title": "<string>",
  "status": 123,
  "detail": "<string>",
  "instance": "<string>"
}

Path Parameters

shieldZoneId
integer<int32>
required

The ID of the Shield Zone to which the Access Lists belong.

Response

OK

Response containing comprehensive access list information for a Shield Zone, including both managed and custom lists.

managedLists
object[] | null

List of curated threat lists maintained by Bunny Shield with automatic updates.

customLists
object[] | null

List of custom access lists created and maintained by the user.

customEntryCount
integer<int32> | null

Total number of entries across all custom access lists for this Shield Zone.

customEntryLimit
integer<int32> | null

Maximum number of entries allowed across all custom access lists based on the Shield plan.

customListCount
integer<int32> | null

Current number of custom access lists for this Shield Zone.

customListLimit
integer<int32> | null

Maximum number of custom access lists allowed based on the Shield plan.

error
object

Generic response object containing status information for API operations.

Last modified on June 26, 2026